#ElmLang 0.19.0 on #OpenBSD 6.3

patched (removed `elm reactor`)
compiled with ghc 8.2.2 and cabal-install 2.0.0.1

web app size 104KB
gzipped 28 KB

Follow

@romanzolotarev Is there a pre-built package for ElmLang on OpenBSD? Is compiling the haskell from source the only option for someone who wants to work with Elm on OpenBSD?

I found your patch for compiling Elm 0.19 in the Elm Slack. Thanks for that and your posts about OpenBSD!

· · Web · 1 · 0 · 0

@rex Elm package is not available. Building Elm 0.19 is not that hard really.

# pkg_add ghc

(move cabal to /usr/local/cabal)

deftly.net/posts/2017-10-12-us

# cabal update
# git clone git@https://github.com/elm/compiler elm-compiler
# cd elm-compiler

(patch elm-compiler to remove elm-react)

# cabal install

mobile.twitter.com/romanzolota

@romanzolotarev Much easier than I was making it out to be.

I found ghc, but didn't see that cabal could be installed as a package until now. I was compiling ports and everything for no reason.

I'm also unfamiliar with haskell/cabal, so I didn't know the commands to build it.

Thanks for the help, it looks like it's up and running, now.

Sign in to participate in the conversation
Mastodon

Server run by the main developers of the project 🐘 It is not focused on any particular niche interest - everyone is welcome as long as you follow our code of conduct!